<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>SI-BKD Admin Perguruan Tinggi</title>
</head>
<body>

<div layout:fragment="main" class="container">

  <div class="row justify-content-center">
    <div class="col-md-8">
      <form class="form-horizontal" th:action="@{/admin_perguruan_tinggi/simpan}" th:object="${adminPt}" method="post">
        <div class="card">
          <div class="card-header bg-white p-4 justify-content-center" align="center">
            <h3 class="text-black">Data Pengguna</h3>
          </div>

          <div class="card-body p-4">
            <div class="row justify-content-center">
              <div class="col-md-10">
                <div class="mb-3 row">
                  <label for="namaLengkap" class="col-sm-4 col-form-label">Nama Lengkap</label>
                  <div class="col-sm-8">
                    <input type="text" th:field="*{nama}" class="form-control" required name="nama" id="namaLengkap">
                  </div>
                </div>

                <div class="mb-3 row">
                  <label for="email" class="col-sm-4 col-form-label">Email</label>
                  <div class="col-sm-8">
                    <input type="email" required class="form-control" th:field="*{email}" onkeyup="cekEmail(this);" onchange="cekEmail(this);" id="email" name="email">
                  </div>
                </div>

                <div class="mb-3 row">
                  <label for="email" class="col-sm-4 col-form-label">Nomor Telepon</label>
                  <div class="col-sm-8">
                    <input type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');" th:field="*{telepon}" required class="form-control" name="telepon">
                  </div>
                </div>

                <div class="mb-3 row">
                  <label class="col-sm-4 col-form-label">Perguruan Tinggi</label>
                  <div class="col-sm-8">
                    <select class="form-select" required name="perguruanTinggi" th:field="*{perguruanTinggi}" aria-label="Default select example">
                      <option th:each="perguruan : ${perguruan}"
                              th:text="${perguruan.namaPerguruanTinggi}"
                              th:value="${perguruan.id}"></option>
                    </select>
                  </div>
                </div>

                <div class="alert alert-danger" id="validEmail" style="display: none">
                  Email telah digunakan, silahkan menggunakan email lain
                </div>

                <input type="hidden" name="id" th:field="*{id}">
                <input type="hidden" name="user" th:field="*{user}">

              </div>
            </div>

          </div>
          <div class="card-footer bg-white p-4">
            <a class="btn btn-warning float-start" th:href="@{/admin_perguruan_tinggi}">Kembali</a>
            <button type="submit" class="btn btn-success float-end">Simpan</button>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
</body>
</html>
<script>
  var delay = (function () {
    var timer = 0;
    return function (callback, ms) {
      clearTimeout(timer);
      timer = setTimeout(callback, ms);
    };
  })();

  function cekEmail(arg) {
    var id = arg.getAttribute('id');
    var value = arg.value;

    $(document).keyup(function (e) {
      delay(function () {
        var url = "/cekEmail?email="+value;
        $.getJSON(url, function (data) {
          if (data.code == 'FORBIDDEN'){
            document.getElementById("validEmail").style.display = "block";
          }else {
            document.getElementById("validEmail").style.display = "none";
          }

        })

      }, 800);

    });
  }
</script>